Skip to main content
POST
C#
This endpoint requires the buyers.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string | null

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

buyer_id
string<uuid>
required

The ID of the buyer to add shipping details to.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

Body

application/json
first_name
string | null

The first name(s) or given name for the buyer.

Required string length: 1 - 255
Example:

"John"

last_name
string | null

The last name, or family name, of the buyer.

Required string length: 1 - 255
Example:

"Doe"

email_address
string | null

The email address for the buyer.

Required string length: 1 - 320
Example:

"john@example.com"

phone_number
string | null

The phone number for the buyer which should be formatted according to the E164 number standard.

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+1234567890"

address
Address · object | null

The billing address for the buyer.

Response

Successful Response

first_name
string | null

The first name(s) or given name for the buyer.

Required string length: 1 - 255
Example:

"John"

last_name
string | null

The last name, or family name, of the buyer.

Required string length: 1 - 255
Example:

"Doe"

email_address
string | null

The email address for the buyer.

Required string length: 1 - 320
Example:

"john@example.com"

phone_number
string | null

The phone number for the buyer which should be formatted according to the E164 number standard.

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+1234567890"

address
Address · object | null

The billing address for the buyer.

id
string<uuid> | null

The ID for the shipping details.

Example:

"bf8c36ad-02d9-4904-b0f9-a230b149e341"

buyer_id
string<uuid> | null

The ID for the buyer.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

type
string
default:shipping-details

Always shipping-details.

Allowed value: "shipping-details"
Example:

"shipping-details"